<?php

// ruc
//      https://sri-en-linea.com/ruc/1793027296001

function google_search($psearch)
{
     
     if(mb_stristr($psearch,'ruc 99')){return;}
     
     $psearch=str_replace(' ','%20',$psearch);  
     $url='https://www.google.com/search?hl=es&q='.$psearch;
//      $gsearch=file_get_contents($url);
     $gsearch=file_get_contents($url);
     $gsearch=str_replace(' › ','/',$gsearch);  
     return $gsearch;
}


function ruc_valid($pnumruc)
{
     
}

function ced_valid($pnumruc)
{
}


function ced_exist($pnumced)
{
     $pnumced=str_replace(' ','',$pnumced);
     $pnumced=str_replace('-','',$pnumced);
     $pnumced=substr($pnumced,0,10);
//      $pnumced=trim($pnumced).'001';
     if(strlen($pnumced)==10)
     {
          $xurl='https://srienlinea.sri.gob.ec/sri-registro-civil-servicio-internet/rest/DatosRegistroCivil/existeNumeroIdentificacion?numeroIdentificacion=';
          $xurl.=$pnumced;
//           $xruc=@file_get_contents($xurl);
          $xruc=exe_curl($xurl);
//           echo '*/*/*/*'.$xurl;
//           echo '*/*/*/*'.$xruc;
//           if($xruc=='true'){return true;}
          if(mb_stristr($xruc,'true')){return true;}
     }     
     return false;     
}



function ruc_exist($pnumruc)
{
     $pnumruc=str_replace(' ','',$pnumruc);
     $pnumruc=str_replace('-','',$pnumruc);
     $pnumruc=substr($pnumruc,0,10);
     $pnumruc=trim($pnumruc).'001';
     
//      echo '*/*/*/*'.$pnumruc;
     if(strlen($pnumruc)==13)
     {
          $xurl='https://srienlinea.sri.gob.ec/sri-catastro-sujeto-servicio-internet/rest/ConsolidadoContribuyente/existePorNumeroRuc?numeroRuc=';
          $xurl.=$pnumruc;
//           $xruc=@file_get_contents($xurl);
          $xruc=exe_curl($xurl);
          if(mb_stristr($xruc,'true')){return true;}
     }     
     return false;     
}

function ruc_zip($pnumruc,$json=0)
{
     $msc=microtime(true);
     if(empty($cfg_empr)){$cfg_empr=$_SESSION['cfg_empr'];}
     
// NUMERO_RUC	RAZON_SOCIAL	NOMBRE_COMERCIAL	ESTADO_CONTRIBUYENTE	CLASE_CONTRIBUYENTE
// FECHA_INICIO_ACTIVIDADES	FECHA_ACTUALIZACION	FECHA_SUSPENSION_DEFINITIVA	FECHA_REINICIO_ACTIVIDADES
// OBLIGADO	TIPO_CONTRIBUYENTE	NUMERO_ESTABLECIMIENTO	NOMBRE_FANTASIA_COMERCIAL
// CALLE	NUMERO	INTERSECCION	ESTADO_ESTABLECIMIENTO
// DESCRIPCION_PROVINCIA	DESCRIPCION_CANTON	DESCRIPCION_PARROQUIA
// CODIGO_CIIU	ACTIVIDAD_ECONOMICA
     
// *** NUEVO CSV     
// NUMERO_RUC|RAZON_SOCIAL|*PROVINCIA_JURISDICCION|NOMBRE_COMERCIAL|ESTADO_CONTRIBUYENTE|CLASE_CONTRIBUYENTE|
// FECHA_INICIO_ACTIVIDADES|FECHA_ACTUALIZACION|FECHA_SUSPENSION_DEFINITIVA|FECHA_REINICIO_ACTIVIDADES|
// OBLIGADO|TIPO_CONTRIBUYENTE|NUMERO_ESTABLECIMIENTO|NOMBRE_FANTASIA_COMERCIAL|
// ESTADO_ESTABLECIMIENTO|DESCRIPCION_PROVINCIA_EST|DESCRIPCION_CANTON_EST|DESCRIPCION_PARROQUIA_EST|
// CODIGO_CIIU|ACTIVIDAD_ECONOMICA
     
     
//   ini_set('memory_limit', '512M');
     ini_set('memory_limit', '1024M');
//      ini_set('memory_limit', '2048M');
     $pnumruc=str_replace(' ','',$pnumruc);
     $pnumruc=str_replace('-','',$pnumruc);
     $pnumruc=substr($pnumruc,0,10);
     $pnumruc=trim($pnumruc).'001';
     
     if(strlen($pnumruc)!=13){return '-13';}
     if($pnumruc<0100000000 or $pnumruc>2599999999999){return 'out';}

     $rutazip='../../_sriruc/';
     if($cfg_empr==''){$rutazip='../_sriruc/';}
     $zipfiles=glob($rutazip.'SRI*.zip');
     
     if(count($zipfiles)<1)
     {
          $rutazip='../_sriruc/';
          if($cfg_empr==''){$rutazip='_sriruc/';}
          $zipfiles=glob($rutazip.'SRI*.zip');
     }
     
     $registroOK='';
     foreach($zipfiles as $zipfile1)
     {
//                          echo '*/*/*/* ZIP File1: '.$zipfile1. ' = '.file_exists($zipfile1);
     }     
          
     foreach($zipfiles as $zipfile1)
     {
//                          echo '<br>ZIP File1: '.$zipfile1;
           $zip = new ZipArchive;
          
           if($zip->open($zipfile1) == 1) 
           {
               $zipfile=null;
               $zipfile=zip_open($zipfile1);  
//                          echo ' */*/*/ <br>ZIP File open : '.$zipfile;
               while ($zip_entry = zip_read($zipfile))
               {
                    $txtfile=null;
                    $txtfile=zip_entry_name($zip_entry);
//                          echo ' */*/*/ <br>TXT File: '.$txtfile;
//                          echo ' */*/*/ <br>ZIP Entry: '.$zip_entry;
                    if(zip_entry_open($zipfile, $zip_entry))
                    {
                         $archivo=null;
                         $archivo=$zip->getFromName($txtfile);
                         $cabecera=substr($archivo,0,strpos($archivo,PHP_EOL));
                         
                         $registro=$archivo;
                         $registro=substr($registro,strpos($registro,$pnumruc),1000);
                         $registro=substr($registro,0,strpos($registro,PHP_EOL));
                         
                         if(substr($registro,0,10)==substr($pnumruc,0,10))
                         {
                              $registroOK=$registro;
                              break;
                         }            
                    }
               }        
               $zip->close();
           }      
           if($registroOK!=''){break;}
     }       
     
// echo '=========='.$registroOK;     
  
// 0 - NUMERO_RUC : 0990004196001
// 1 - RAZON_SOCIAL : CORPORACION EL ROSADO S.A.
// 2 - NOMBRE_COMERCIAL :
// 3 - ESTADO_CONTRIBUYENTE : ACTIVO
// 4 - CLASE_CONTRIBUYENTE : ESPECIAL
// 5 - FECHA_INICIO_ACTIVIDADES : 22/11/1954
// 6 - FECHA_ACTUALIZACION : 07/10/2019
// 7 - FECHA_SUSPENSION_DEFINITIVA :
// 8 - FECHA_REINICIO_ACTIVIDADES :
// 9 - OBLIGADO : S
// 10 - TIPO_CONTRIBUYENTE : SOCIEDADES
// 11 - NUMERO_ESTABLECIMIENTO : 170
// 12 - NOMBRE_FANTASIA_COMERCIAL : HIPERMARKET YAGUACHI
// 13 - CALLE : JAIME ROLDOS
// 14 - NUMERO : S/N
// 15 - INTERSECCION :
// 16 - ESTADO_ESTABLECIMIENTO : ABI
// 17 - DESCRIPCION_PROVINCIA : GUAYAS
// 18 - DESCRIPCION_CANTON : SAN JACINTO DE YAGUACHI
// 19 - DESCRIPCION_PARROQUIA : SAN JACINTO DE YAGUACHI
// 20 - CODIGO_CIIU : G471102
// 21 - ACTIVIDAD_ECONOMICA : VENTA AL POR MENOR DE GRAN VARIEDAD DE PRODUCTOS EN SUPERMERCADOS, ENTRE LOS QUE PREDOMINAN, LOS PRODUCTOS ALIMENTICIOS, LAS BEBIDAS O EL TABACO, COMO PRODUCTOS DE PRIMERA NECESIDAD Y VARIOS OTROS TIPOS DE PRODUCTOS, COMO PRENDAS DE VESTIR, MUEBLES, APARATOS, ART�CULOS DE FERRETER�A, COSM�TICOS, ETC�TERA.    

$msc = microtime(true)-$msc;
$msc=round($msc,2);
     
$dom = new DOMDocument();
     $dom->encoding = 'utf-8';
     $dom->xmlVersion = '1.0';
     $dom->formatOutput = true;
     
$ruczip=$dom->appendChild($dom->createElement("ruczip"));
$ruczip->setAttribute("file",$txtfile);
$ruczip->setAttribute("msc",$msc);
     
$xdescri=$registroOK;
     
if($registroOK!='')
{
     $xarray1=explode(chr(9),$cabecera);
     $xarray2=explode(chr(9),$registroOK);

     // pipe 
     if(mb_stristr($cabecera,"|"))
     {
          $xarray1=explode("|",$cabecera);
          $xarray2=explode("|",$registroOK);
     }
     
     for($indx=0; $indx<count($xarray1); $indx++)
     {
          $key2=$xarray1[$indx];
          $value2=htmlspecialchars($xarray2[$indx]);
          if(!empty($value2))
          {$ruczip->appendChild($dom->createElement($key2,$value2));}
     }
}

// $zxml=$dom->saveHTML();
// echo '*/*/*'.$zxml;     
     
return $dom;
     
     
}

function ruc_search1($pnumruc)
{
     $msc=microtime(true);
     
     $pnumruc=str_replace(' ','',$pnumruc);
     $pnumruc=str_replace('-','',$pnumruc);
     $pnumruc=substr($pnumruc,0,10);
     $pnumruc=trim($pnumruc).'001';
     
     $rucxml='';
     if(strlen($pnumruc)==13)
     {

          $dom = new DOMDocument();
               $dom->encoding = 'utf-8';
               $dom->xmlVersion = '1.0';
               $dom->formatOutput = true;

          $gsearch=google_search('ruc '.$pnumruc);
          if(mb_stristr($gsearch,$pnumruc))
          {
               $html=str_get_html($gsearch);
               $href='';
               foreach($html->find('a') as $element)
               {
                    $href=$element->href;
                    
                    $site='sri-en-linea.com';
                    if(mb_stristr($href,$site) and mb_stristr($href,$pnumruc)){break;}
                    
                    $site='rucecuador.com';
                    if(mb_stristr($href,$site) and mb_stristr($href,$pnumruc)){break;}
                    
                    $site='ecuadornegocios.com';
                    if(mb_stristr($href,$site)){break;}
               }

               $url=$href;
               $url=substr($url,strpos($url,'http'));
               $url=substr($url,0,strpos($url,'&'));
               $page=file_get_html($url);
               
//                $msc=microtime(true)-$msc;
//                $msc=round($msc,2);

               $rucsearch=$dom->appendChild($dom->createElement("rucsearch"));
                    $rucsearch->setAttribute("file",$site);
                    $rucsearch->setAttribute("msc",$msc);
               
               if(mb_stristr('rucecuador.com||sri-en-linea.com',$site))
               {
                    $campo1=$page->find('div[class=inmueblecampo1]');
                    $campo2=$page->find('div[class=inmueblecampo2 paddtop]');
                    for($idx=0; $idx<count($campo1); $idx++)
                    {
                         $key=$campo1[$idx]->innertext;
                         $value=$campo2[$idx]->innertext;
                         if(mb_stristr($key,'RUC'))
                         {$rucsearch->appendChild($dom->createElement('ruc',htmlspecialchars($value)));}
                         if(mb_stristr($key,'Razón Social'))
                         {$rucsearch->appendChild($dom->createElement('razsoc',htmlspecialchars($value)));}
                         if(mb_stristr($key,'Nombre Comercial'))
                         {$rucsearch->appendChild($dom->createElement('nomcom',htmlspecialchars($value)));}
                         if(mb_stristr($key,'Direccion'))
                         {$rucsearch->appendChild($dom->createElement('direccion',htmlspecialchars($value)));}
                         
//                          Estado contribuyente en el RUC
                         if(mb_stristr($key,'Estado contribuyente'))
                         {$rucsearch->appendChild($dom->createElement('struc',htmlspecialchars($value)));}
                         
                         
                    }
               }
               
               if($site=='ecuadornegocios')
               {
                    $campo1=$page->find('pre');
//                     $campo2=$page->find('div[class=inmueblecampo2 paddtop]');
                    for($idx=0; $idx<count($campo1); $idx++)
                    {
                         $key=$campo1[$idx]->innertext;
//                          echo '*/*/*/*/*/*/*/';
//                          echo '==='.$campo1[$idx]->innertext;
//                          echo '==='.$campo1[$idx]->children(1);
//                          echo '==='.$campo1[$idx]->children(1)->innertext;
//                          echo '-+-+-++-+-++-';
//                          $value=$campo2[$idx]->innertext;
//                          if(mb_stristr($key,'RUC'))
//                          {$rucsearch->appendChild($dom->createElement('ruc',htmlspecialchars($value)));}
//                          if(mb_stristr($key,'Direccion'))
//                          {$rucsearch->appendChild($dom->createElement('direccion',htmlspecialchars($value)));}
                    }
               }
          }
     }
     
     return $dom;
}

function plvh_exist($plvh)
{
     $plvh=strtoupper($plvh);
     $plvh=str_replace('-','',$plvh);
     $xurl='https://srienlinea.sri.gob.ec/sri-matriculacion-vehicular-recaudacion-servicio-internet/rest/BaseVehiculo/existePorNumeroPlaca?numeroPlaca=';
     $xurl.=$plvh;
     $xplvh=exe_curl($xurl);
     if(mb_stristr($xplvh,'placa existe')){return true;}
}


// function vali_vinn($vin) 
function vinn_exist($vin) 
{
    $vin=alltrim($vin);
    $vin = strtoupper($vin);
    if (preg_match('/[IOQÑ]/i', $vin)){return false;} 
    if (strlen($vin) !== 17) {return false;}

    // Asignación línea por línea de valores alfanuméricos
    $valores = [];
     if(1==1)
     {
    $valores['A'] = 1;
    $valores['B'] = 2;
    $valores['C'] = 3;
    $valores['D'] = 4;
    $valores['E'] = 5;
    $valores['F'] = 6;
    $valores['G'] = 7;
    $valores['H'] = 8;
    $valores['J'] = 1;
    $valores['K'] = 2;
    $valores['L'] = 3;
    $valores['M'] = 4;
    $valores['N'] = 5;
    $valores['P'] = 7;
    $valores['R'] = 9;
    $valores['S'] = 2;
    $valores['T'] = 3;
    $valores['U'] = 4;
    $valores['V'] = 5;
    $valores['W'] = 6;
    $valores['X'] = 7;
    $valores['Y'] = 8;
    $valores['Z'] = 9;
    $valores['0'] = 0;
    $valores['1'] = 1;
    $valores['2'] = 2;
    $valores['3'] = 3;
    $valores['4'] = 4;
    $valores['5'] = 5;
    $valores['6'] = 6;
    $valores['7'] = 7;
    $valores['8'] = 8;
    $valores['9'] = 9;

     }
     
     if(1==2)
     {
    $valores['A'] = 1;
    $valores['B'] = 2;
    $valores['C'] = 3;
    $valores['D'] = 4;
    $valores['E'] = 5;
    $valores['F'] = 6;
    $valores['G'] = 7;
    $valores['H'] = 8;
    $valores['J'] = 10;
    $valores['K'] = 11;
    $valores['L'] = 12;
    $valores['M'] = 13;
    $valores['N'] = 14;
    $valores['P'] = 16;
    $valores['R'] = 18;
    $valores['S'] = 19;
    $valores['T'] = 20;
    $valores['U'] = 21;
    $valores['V'] = 22;
    $valores['W'] = 23;
    $valores['X'] = 24;
    $valores['Y'] = 25;
    $valores['Z'] = 26;
    $valores['0'] = 0;
    $valores['1'] = 1;
    $valores['2'] = 2;
    $valores['3'] = 3;
    $valores['4'] = 4;
    $valores['5'] = 5;
    $valores['6'] = 6;
    $valores['7'] = 7;
    $valores['8'] = 8;
    $valores['9'] = 9;

     }

    // Asignación línea por línea de pesos por posición
    $pesos = [];
     {
         $pesos[0] = 8;
         $pesos[1] = 7;
         $pesos[2] = 6;
         $pesos[3] = 5;
         $pesos[4] = 4;
         $pesos[5] = 3;
         $pesos[6] = 2;
         $pesos[7] = 10;
         $pesos[8] = 0;
         $pesos[9] = 9;
         $pesos[10] = 8;
         $pesos[11] = 7;
         $pesos[12] = 6;
         $pesos[13] = 5;
         $pesos[14] = 4;
         $pesos[15] = 3;
         $pesos[16] = 2;
     }

    $suma = 0;

    for ($idx = 0; $idx < 17; $idx++) 
    {
        $caracter = $vin[$idx];
//          echo '=='.$caracter;

       // Carácter inválido
        if (!isset($valores[$caracter])) {return false;}

        $valor = $valores[$caracter];
        $peso = $pesos[$idx];
        $suma += $valor * $peso;
         
//         echo '<br>===>'.$caracter;
//          echo ' - '.$valor;
//          echo ' - '.$peso;
//          echo ' - '.$valor*$peso;
//          echo ' - '.$suma;
         
    }

    $residuo = $suma % 11;
    $verificador = ($residuo == 10) ? 'X' : strval($residuo);

// echo '<br>===='.$vin;
// echo '<br>===='.$residuo;
// echo '<br>===='.$vin[8].'-'.$verificador;
     
    return $vin[8] === $verificador;
}


function get_plvh1($plvh)
{
//      return;
//      if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     $plvh=strtoupper($plvh);
     $plvh=str_replace('-','',$plvh);
    
// https://consultaweb.ant.gob.ec/PortalWEB/paginas/clientes/clp_grid_citaciones.jsp?ps_tipo_identificacion=PLA&ps_identificacion=GRX4823&ps_placa=
// https://consultaweb.ant.gob.ec/PortalWEB/paginas/clientes/clp_grid_citaciones.jsp?ps_tipo_identificacion=PLA&ps_identificacion=GRX4823&ps_placa=     
// https://consultas.atm.gob.ec/PortalWEB/paginas/clientes/clp_grid_citaciones.jsp?ps_tipo_identificacion=PLA&ps_identificacion=GRX4823&ps_placa=     

// https://consultas.atm.gob.ec/PortalWEB/paginas/clientes/clp_grid_citaciones.jsp?ps_tipo_identificacion=CED&ps_identificacion=0915379374&ps_placa=     

//      $xurl='https://consultas.atm.gob.ec/PortalWEB/paginas/clientes/clp_grid_citaciones.jsp?ps_tipo_identificacion=PLA&ps_identificacion=';
//      $xurl='https://www.ecuadorlegalonline.com/modulo/sri/matriculacion/consultar-vehiculo.php?placa=';
     
     $xurl='https://consultas.atm.gob.ec/PortalWEB/paginas/clientes/clp_grid_citaciones.jsp?ps_tipo_identificacion=PLA&ps_identificacion=';
     // 2023-03-17
//      $xurl='https://consultaweb.ant.gob.ec/PortalWEB/paginas/clientes/clp_grid_citaciones.jsp?ps_tipo_identificacion=PLA&ps_identificacion=GRX4823&ps_placa=';
//      $xurl='https://consultaweb.ant.gob.ec/PortalWEB/paginas/clientes/clp_grid_citaciones.jsp?ps_tipo_identificacion=PLA&ps_identificacion=';
     
     $xurl.=$plvh;
     $page=file_get_contents($xurl);
     
//      echo '**/*/**/*/*'.$xurl;
     
//      $html=str_get_html($xplvh);
//      echo '*/*/*/*'.$page.'+-+-+-+-+-+';
     if(empty($page)){return;}
     
     $page = str_replace('\"','"',$page);
     $page = substr($page,strpos($page,'{'));
     $page = substr($page,0,strpos($page,'}')+1);
     
     
     if(!mb_stristr($page,$plvh)){return '';}  
     $json1=@json_decode($page,true,512,JSON_BIGINT_AS_STRING);
     
     
          

// {"numeroPlaca":"GRX4823","numeroCamvCpn":"B0223155","colorVehiculo1":"ROJO","colorVehiculo2":"ROJO","cilindraje":1600,
//  "nombreClase":"AUTOMOVIL","descripcionMarca":"CHEVROLET","descripcionModelo":"AVEO EMOTION 1.6L AC","anioAuto":2010,
//  "descripcionPais":"ECUADOR","fechaUltimaMatricula":"2015-12-31","fechaCaducidadMatricula":"2020-12-29",
//  "fechaCompraRegistro":"2010-04-30","fechaRevision":"2017-04-24",
//  "descripcionCanton":"GUAYAQUIL","descripcionServicio":"PARTICULAR",
//  "ultimoAnioPagado":2018,"prohibidoEnajenar":"NO","observacion":null,"estadoExoneracion":"NO"}
     return $json1;
//      foreach ($json1 as $key1=>$val1)
//      {
//           if($key1=="numeroPlaca"){$placa=strtoupper2($val1);}
//           if($key1=="numeroCamvCpn"){$camv=strtoupper2($val1);}
//           if($key1=="colorVehiculo1"){$clor1=strtoupper2($val1);}
//           if($key1=="colorVehiculo2"){$clor2=strtoupper2($val1);}
//           if($key1=="cilindraje"){$cilindro=strtoupper2($val1);}
//           if($key1=="nombreClase"){$clase=$val1;}
//           if($key1=="descripcionMarca"){$mrca=$val1;}
//           if($key1=="descripcionModelo"){$modelo=$val1;}
//           if($key1=="anioAuto"){$anio=strtoupper2($val1);}
//           if($key1=="descripcionPais"){$pais=strtoupper2($val1);}
//           if($key1=="descripcionCanton"){$ciudad=strtoupper2($val1);}
//      }	nta

//      $descri = $mrca.' /'.$modelo.' /'.$anio.' /'.$clor1;  
//      if(!empty($descri))
//      {
//           $sql_plvh='select * from plvh0 where plvh_codigo="'.$plvh.'"';
//           $res_plvh=msql_query($sql_plvh,$link_data);
          
//           if(msql_num_rows($res_plvh)==0)
//           {
//           $sql_plvh='insert into plvh0(plvh_codigo,plvh_status,plvh_iuser,plvh_idate)value("'.$plvh.'","-","'.$_SESSION['user_codigo'].'",now())';
//           $res_plvh=msql_query($sql_plvh,$link_data);
//           }

//           $sql_plvh ='update plvh0 set plvh_descri="'.$descri.'" ';
//           $sql_plvh.='where plvh_codigo = "'.$plvh.'"';
//           $res_plvh=msql_query($sql_plvh,$link_data);

//           $sql_plvh ='update plvh0 set ';
//           $sql_plvh.='plvh_mrca="'.$mrca.'",';
//           $sql_plvh.='plvh_mdlo="'.$modelo.'",';
//           $sql_plvh.='plvh_modelo="'.$modelo.'",';
//           $sql_plvh.='plvh_anio="'.$anio.'",';
//           $sql_plvh.='plvh_clor="'.$clor1.'",';
//           $sql_plvh.='plvh_status="-" ';
//           $sql_plvh.='where plvh_codigo = "'.$plvh.'"';
//           $res_plvh=msql_query($sql_plvh,$link_data);

//           $sql_plvh ='update plvh0 set ';
//           $sql_plvh.='plvh_camv="'.$camv.'",';
//           $sql_plvh.='plvh_clase="'.$clase.'",';
//           $sql_plvh.='plvh_clor2="'.$clor2.'",';
//           $sql_plvh.='plvh_status="-" ';
//           $sql_plvh.='where plvh_codigo = "'.$plvh.'"';
//           $res_plvh=msql_query($sql_plvh,$link_data);

//      }	

//           echo '<br>-*******-*-*-*-'.$descri;
// return $descri;	
     
     
}


function get_ced_ant($cedula)
{
     return;
//      failed to open stream: HTTP request failed! HTTP/1.1 401 Unauthorized
     
     if(substr($cedula,0,2)=='99'){return '';}
     $cedula=str_replace('-','',$cedula);
     
//      $xurl='https://consultaweb.ant.gob.ec/PortalWEB/paginas/clientes/clp_grid_citaciones.jsp?ps_tipo_identificacion=CED&ps_identificacion=';
     $xurl='https://consultaweb.ant.gob.ec/PortalWEB/paginas/clientes/clp_grid_citaciones.jsp?ps_tipo_identificacion=CED&ps_identificacion=';
//      0909672453&ps_placa=
     $xurl.=$cedula;
     $xurl.='&ps_placa=';
     $page=file_get_contents($xurl);
     
     if($page===false)
     {
//           return '';
//       $error = error_get_last();
//       echo "HTTP request failed. Error was: " . $error['message'];          
     }
//      try {$page=file_get_contents($xurl);}
//      catch (Exception $e) {
//          echo $e->getMessage();
//      }     
     
     $html=str_get_html($page);
//      echo '<br>=== '.$page;
//      echo '<br>=== '.$html;
     
     $nombre='';
     foreach($html->find('td') as $element)
     {
          if($element->class=='titulo1')
          {$nombre=$element->innertext;break;}
     }
     
     $nombre=substr($nombre,0,strpos($nombre,'&'));
     $nombre=trim($nombre);
     return $nombre;
     
}

function get_pla_ant($placa)
{
     return '';
     $placa=strtoupper($placa);
     $placa=str_replace('-','',$placa);
     
     $xurl='https://consultaweb.ant.gob.ec/PortalWEB/paginas/clientes/clp_grid_citaciones.jsp?ps_tipo_identificacion=PLA&ps_identificacion=';
     $xurl.=$placa;
     $page=file_get_contents($xurl);
     $html=str_get_html($page);

     $plvh=array();
     $plvh['numeroPlaca']=$codigo;
     foreach($html->find('td') as $element)
     {
          if($element->class=='titulo')
          {
               if($element->innertext=='Marca:'){$getmrca=1;}
               if($element->innertext=='Color:'){$getclor=1;}
               if($element->innertext=='Modelo:'){$getmdlo=1;}
               if($element->innertext=='Clase:'){$getclase=1;}
               if($element->innertext=='A&ntilde;o:'){$getanio=1;}
               
          }
          if($element->class=='detalle_formulario')
          {
               if($getmrca==1){$plvh['descripcionMarca']=$element->innertext; $getmrca=0;}
               if($getclor==1){$plvh['colorVehiculo1']=$element->innertext; $getclor=0;}
               if($getmdlo==1){$plvh['descripcionModelo']=$element->innertext; $getmdlo=0;}
               if($getclase==1){$plvh['nombreClase']=$element->innertext; $getclase=0;}
               if($getanio==1){$plvh['anioAuto']=$element->innertext; $getanio=0;}
          }
     }
     
     return $plvh;
     
}



function get_ced_atm($cedula)
{
     return '';
     if(substr($cedula,0,2)=='99'){return '';}
     $cedula=str_replace('-','',$cedula);

     $xurl='https://consultas.atm.gob.ec/PortalWEB/paginas/clientes/clp_grid_citaciones.jsp?ps_tipo_identificacion=CED&ps_identificacion=';
     $xurl.=$cedula;
     $page=file_get_contents($xurl);
     $html=str_get_html($page);
//      echo '*/*/*/'.$xurl;
     foreach($html->find('div') as $element)
     {
          if($element->id=='nombrepropietario')
          {
               foreach($element->find('td') as $element2)
               {if($element2->tag=='td'){$nombre=$element2->innertext;break;}}
          }
     }
     $nombre=trim($nombre);
//      echo '*/*/*'.$nombre;
     return $nombre;
}

function get_pla_atm($placa)
{
     
//      cedula x licencia
//      if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     
     
//            <td width="200" rowspan="3" align="center" valign="middle" bgcolor="#01579B"  class="titulo2"><strong>GRX4823</strong></td>

//                 <td class="titulo">Marca:</td>
//                 <td class="detalle_formulario">CHEVROLET</td>
//                 <td class="titulo">Color:</td>
//                 <td class="detalle_formulario">ROJO</td>
//                 <td class="titulo">A&ntilde;o de Matr&iacute;cula:</td>
//                 <td class="detalle_formulario">2014</td>
//                 <td  width="40"  rowspan="3"> <a href="#" class="button_salir" onClick="cerrar();" style="padding:1">
//                         SALIR
                      
//                         <!--    <img border="0" src="../../imagenes/btnsalir1.png" width="35" height="50" alt="Salir"> -->
//                     </a>
//                 </td>

//             </tr>
//             <tr>
//                 <td  class="titulo">Modelo:</td>
//                 <td class="detalle_formulario">AVEO EMOTION 1.6L AC</td>
//                 <td class="titulo">Clase:</td>
//                 <td class="detalle_formulario">AUTOMOVIL</td>
//                 <td class="titulo">Fecha de Matr&iacute;cula:</td>
//                 <td class="detalle_formulario">17-01-2014</td>
//             </tr>     
     
     $placa=strtoupper($placa);
     $placa=str_replace('-','',$placa);
     
     $plvh=array();
     $plvh['numeroPlaca']=$codigo;
    
     $xurl='https://consultas.atm.gob.ec/PortalWEB/paginas/clientes/clp_grid_citaciones.jsp?ps_tipo_identificacion=PLA&ps_identificacion=';
     $xurl.=$placa;
     
//      echo '*/*/*'.$xurl;
     $page=file_get_contents($xurl);
     $html=str_get_html($page);
     foreach($html->find('td') as $element)
     {
          if($element->class=='titulo')
          {
               if($element->innertext=='Marca:'){$getmrca=1;}
               if($element->innertext=='Color:'){$getclor=1;}
               if($element->innertext=='Modelo:'){$getmdlo=1;}
               if($element->innertext=='Clase:'){$getclase=1;}
               if($element->innertext=='A&ntilde;o:'){$getanio=1;}
               
          }
          if($element->class=='detalle_formulario')
          {
               if($getmrca==1){$plvh['descripcionMarca']=$element->innertext; $getmrca=0;}
               if($getclor==1){$plvh['colorVehiculo1']=$element->innertext; $getclor=0;}
               if($getmdlo==1){$plvh['descripcionModelo']=$element->innertext; $getmdlo=0;}
               if($getclase==1){$plvh['nombreClase']=$element->innertext; $getclase=0;}
               if($getanio==1){$plvh['anioAuto']=$element->innertext; $getanio=0;}
          }
     }
     
     
     
     return $plvh;
}

function get_pla_sri($placa)
{
// return;     
// https://www.ecuadorlegalonline.com/consultas/agencia-nacional-de-transito/consultar-a-quien-pertenece-un-vehiculo-por-placa-ant/     
// https://srienlinea.sri.gob.ec/movil-servicios/api/v1.0/matriculacion/valor/GMA0605     
     
     
     $json=json_decode('');
     $placa=strtoupper($placa);
     $placa=str_replace('-','',$placa);

     $xurl='https://srienlinea.sri.gob.ec/movil-servicios/api/v1.0/matriculacion/valor/';
     $xurl.=$placa;

     
     if(date('YmdHi')<$_SESSION['get_pla_sri']){return;}
     
     $_SESSION['get_pla_sri']=date('YmdHi');
     
     $page=file_get_contents($xurl);
//      $page=exe_curl($xurl);
     
//      echo '*/*/*/'.$_SESSION['get_pla_sri'];
     
     if($page===false){$_SESSION['get_pla_sri']=date('YmdHi',strtotime('+10 min'));}

     if(mb_stristr($page,$placa))
     {$json=json_decode($page);}
//      echo '*/*/*'.gettype($json);
     
//      echo '<br>'.$json->marca;
//      echo '<br>'.$json->modelo;
//      echo '<br>'.$json->anioModelo;
     
     return $json;     
}


function get_plvh_prop($plvh)  
{
//      if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     $plvh=strtoupper($plvh);
     $plvh=str_replace('-','',$plvh);
     
// $url='http://consultas.atm.gob.ec/SVT/paginas/svt_datosPersonas.jsp?ps_tipoServicio=MAT&ps_servicio=1&ps_tramite=0&ps_area=&ps_valorParametro1=GLL0512&ps_valorParametro2=1-1-2019&ps_identificacionSolicita=';
// servicio 1 consultac con transferencia de domiio
$url ='https://consultas.atm.gob.ec/SVT/paginas/svt_datosPersonas.jsp?ps_tipoServicio=MAT&ps_servicio=1&ps_tramite=0&ps_area=&ps_valorParametro1='.$plvh.'&ps_valorParametro2=&ps_identificacionSolicita=';

// $url ='http://consultas.atm.gob.ec/SVT/paginas/svt_datosPersonas.jsp?ps_tipoServicio=MAT&ps_servicio=3&ps_valorParametro1='.$plvh;
  
$page=exe_curl($url);
// $html=str_get_html($page);
//      echo $url;
//      echo $page;
$nombre=$page;  
$nombre=substr($nombre,strpos($nombre,'Nombre:'),9999);
$nombre=substr($nombre,strpos($nombre,'<td>')+4,9999);
$nombre=substr($nombre,0,strpos($nombre,'</td>'));
$nombre=substr($nombre,strpos($nombre,'>')+1,9999);
$nombre=substr($nombre,0,strpos($nombre,'<'));
$nombre=trim($nombre);
// if(strlen($nombre)>5)
// {
//  $sql_prop='update plvh0 set plvh_propietario="'.$nombre.'" where plvh_codigo="'.$plvh.'"';
//  $res_prop=msql_query($sql_prop,$link_vcrx);
// }
// echo $nombre;  
// echo $html;     
     
return $nombre;
  
}

function get_ean($ean)
{
          
//      return $descri;
}

function set_placa($plvh)
{
     if(empty($empr)){$empr=$_SESSION['empr_codigo'];}     
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     
     if(gettype($plvh1)=='array')
     {
          foreach ($plvh1 as $key1=>$val1)
          {
               if($key1=="numeroPlaca"){$placa=strtoupper2($val1);}
               if($key1=="numeroCamvCpn"){$camv=strtoupper2($val1);}
               if($key1=="colorVehiculo1"){$clor1=strtoupper2($val1);}
               if($key1=="colorVehiculo2"){$clor2=strtoupper2($val1);}
               if($key1=="cilindraje"){$cilindro=strtoupper2($val1);}
               if($key1=="nombreClase"){$clase=$val1;}
               if($key1=="descripcionMarca"){$mrca=$val1;}
               if($key1=="descripcionModelo"){$modelo=$val1;}
               if($key1=="anioAuto"){$anio=strtoupper2($val1);}
               if($key1=="descripcionPais"){$pais=strtoupper2($val1);}
               if($key1=="descripcionCanton"){$ciudad=strtoupper2($val1);}
          }	

          $descri = $mrca.' /'.$modelo.' /'.$anio.' /'.$clor1;  
          if(!empty($descri))
          {
               $sql_plvh='select * from plvh0 where plvh_codigo="'.$codigo.'"';
               $res_plvh=msql_query($sql_plvh,$link_data);

               if(msql_num_rows($res_plvh)==0)
               {
               $sql_plvh='insert into plvh0(plvh_codigo,plvh_status,plvh_iuser,plvh_idate)value("'.$codigo.'","-","'.$_SESSION['user_codigo'].'",now())';
               $res_plvh=msql_query($sql_plvh,$link_data);
               }

               $sql_plvh ='update plvh0 set plvh_descri="'.$descri.'" ';
               $sql_plvh.='where plvh_codigo = "'.$codigo.'"';
               $res_plvh=msql_query($sql_plvh,$link_data);

               $sql_plvh ='update plvh0 set ';
               $sql_plvh.='plvh_mrca="'.$mrca.'",';
               $sql_plvh.='plvh_mdlo="'.$modelo.'",';
               $sql_plvh.='plvh_modelo="'.$modelo.'",';
               $sql_plvh.='plvh_anio="'.$anio.'",';
               $sql_plvh.='plvh_clor="'.$clor1.'",';
               $sql_plvh.='plvh_status="-" ';
               $sql_plvh.='where plvh_codigo = "'.$codigo.'"';
               $res_plvh=msql_query($sql_plvh,$link_data);

               $sql_plvh ='update plvh0 set ';
               $sql_plvh.='plvh_camv="'.$camv.'",';
               $sql_plvh.='plvh_clase="'.$clase.'",';
               $sql_plvh.='plvh_clor2="'.$clor2.'",';
               $sql_plvh.='plvh_status="-" ';
               $sql_plvh.='where plvh_codigo = "'.$codigo.'"';
               $res_plvh=msql_query($sql_plvh,$link_data);

          }	
          
     }
     
}


function set_propietario($plvh_prop)
{
     if(gettype($plvh_prop)=='string')
     {
          if(strlen($plvh_prop)>5)
          {
               $sql_prop='update plvh0 set plvh_propietario="'.$plvh_prop.'" where plvh_codigo="'.$codigo.'"';
               $res_prop=msql_query($sql_prop,$link_data);
          }
     }
     
}

?>